Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ComponentRuntimeMBean

All Known Subinterfaces:
  ConnectorComponentRuntimeMBean, EJBComponentRuntimeMBean, WebAppComponentRuntimeMBean

public interface ComponentRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Base class for all runtime mbeans that provide status of running modules.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ACTIVATED` State indicating at this module is currently active.
`static int` | `NEW` State indicating this module has just been created and is being initialized.
`static int` | `PREPARED` State indicating at this module of this application is prepared, but not active.
`static int` | `UNPREPARED` State indicating at this module is neither prepared or active.

Method Summary
`int` | `getDeploymentState()` Current deployment state of the module.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### UNPREPARED

    public static final int UNPREPARED

  State indicating at this module is neither prepared or active.

### PREPARED

    public static final int PREPARED

  State indicating at this module of this application is prepared, but not active. The classes have been loaded and the module has been validated.

### ACTIVATED

    public static final int ACTIVATED

  State indicating at this module is currently active.

### NEW

    public static final int NEW

  State indicating this module has just been created and is being initialized.

Method Detail

### getDeploymentState

    public int getDeploymentState()

  Current deployment state of the module.

  Returns:
    The deploymentState value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD